Bug 224184 - net/kea: fails to build with boost 1.66
Summary: net/kea: fails to build with boost 1.66
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks: 223922
  Show dependency treegraph
 
Reported: 2017-12-08 16:02 UTC by Jan Beich
Modified: 2018-01-28 01:47 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-12-08 16:02:07 UTC
As part of exp-run in bug 223922 this port was found to break on Boost update. If the issue won't disappear on its own by Boost release I plan to mark the port as BROKEN. Can you check with upstream maintainer or help with a fix?

$ fetch -qo- 'https://reviews.freebsd.org/D13279?download=true' | patch -Efsp0 -d /usr/ports
$ make all deinstall install clean -C/usr/ports/devel/boost-libs
$ make -C/usr/ports/net/kea
[...]
In file included from interval_timer.cc:9:
In file included from ../../../src/lib/asiolink/interval_timer.h:13:
../../../src/lib/asiolink/io_service.h:14:11: error: definition of type 'io_service' conflicts with typedef of the same name
    class io_service;
          ^
/usr/local/include/boost/asio/io_service.hpp:27:20: note: 'io_service' declared here
typedef io_context io_service;
                   ^

http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/kea-1.2.0_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/kea-1.2.0_3.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/kea-1.2.0_3.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/kea-1.2.0_3.log
Comment 1 Jan Beich freebsd_committer 2017-12-08 16:02:28 UTC
Maybe you can replace io_service with io_context similar to https://github.com/arvidn/libtorrent/commit/f42b63c7ea82
Comment 2 Bartłomiej Piotrowski 2017-12-30 14:52:24 UTC
For the record, I'm working on the same boost upgrade @ Arch Linux and wrote a patch that fixes the build of kea 1.3.0.

https://git.archlinux.org/svntogit/community.git/tree/trunk/asiolink-fix-build-with-boost-1.66.patch?h=packages/kea
Comment 3 Robin Därmann 2018-01-23 11:02:25 UTC
Thank you, Bartłomiej, your patches worked for me. I splitted them up into single files for the port and combined it with the patch from bug 223995.
Comment 4 commit-hook freebsd_committer 2018-01-28 01:39:33 UTC
A commit references this bug:

Author: jbeich
Date: Sun Jan 28 01:38:50 UTC 2018
New revision: 460154
URL: https://svnweb.freebsd.org/changeset/ports/460154

Log:
  net/kea: unbreak with boost 1.66

  PR:		224184
  Submitted by:	Bart?omiej Piotrowski
  Obtained from:	Arch Linux (via upstream)
  Approved by:	maintainer timeout (3 weeks)

Changes:
  head/net/kea/Makefile
  head/net/kea/files/patch-asiolink-boost-1.66
Comment 5 Jan Beich freebsd_committer 2018-01-28 01:41:21 UTC
Thanks. Landed. Apparently, the patch from Arch Linux landed upstream as is.

https://github.com/isc-projects/kea/commit/17ed090beb6cefa78e29a95c645eb6da4edf8028
Comment 6 Jan Beich freebsd_committer 2018-01-28 01:47:01 UTC
(In reply to commit-hook from comment #4)
>   Submitted by:	Bart?omiej Piotrowski

If anyone curious about ł -> ? see bug 193694.